/********************************************************
*	DESCRIPTION	: MetaInfoFile
* 
*	AUTHOR		: Misagh Tavanpour, Jan Mikhail
*	Email		: 
*	DATE		: 28-08-2013
* 
*
********************************************************/


#ifndef METAINFOFILE_H
#define METAINFOFILE_H

#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include <string>
#include "Msg.h"


using namespace std;

class MetaInfoFile : public Msg {
	public: 
		MetaInfoFile(short srcType, long src, short destType, long dest, int Length, std::string Name, int PieceLength, unsigned char *Pieces);
		~MetaInfoFile();

		int getLength() const{return this->length;}
		std::string getName() const{return this->name;}
		int getPieceLength() const{return this->pieceLength;}
		int getFileSize();
	private:
		int length;
		std::string name;
		int pieceLength;
		unsigned char *pieces;
};




#endif  //_METAINFOFILE_H

